Ready to Run Spam-Aid!

By now, you should have completed the Spam-Aid Configuration Wizard, and be ready to go!

The Spam-Aid Menu
Click on the menu area on the left side of Spam-Aid to navigate among the various settings. If everything looks correct (and you are connected to the internet), simply click "GO" to start processing.

Not Sure?
If you're not sure what you're getting yourself into, you may want to visit the Introduction to Spam-Aid.


Introduction to Spam-Aid

Welcome to Spam-Aid! The following topics may help familiarize you with this software:

  • What is Spam-Aid?

    Spam-Aid is a POP3 eMail client (program that accesses a POP3 account) that deletes messages it determines to be unacceptable (spam). Message acceptability is based on the following criteria:

  • Sender is listed in your Windows Address Book. OR..
  • Subject line contains a "code word" (user-specified word or phrase).

    • Any message found that does not meet one of these conditions is deleted off the server - permanently. Thus, when you activate your usual eMail client (Outlook Express, for example), the messages you receive will be only the ones that were accepted by Spam-Aid.

    If you wish to give rejected senders a "second chance" to get a message through, you can specify "hints" to be eMailed to them, so that valid users will know why their message was rejected, and how to resend a message containing an acceptable code word.

    NOTE: The acceptable message criteria shown above is absolute! If you want to receive messages from senders that are not in your Windows Address Book without requiring code words, then please DO NOT use this software.

  • REQUIREMENTS - READ CAREFULLY!

  • Spam-Aid MUST have a valid Windows Address Book file specified. This file is the main basis for message acceptance, and the program will not run without it.
  • Spam-Aid connects to POP3 email accounts ONLY. It will not work with proprietary email connections (AOL, for example).

  • What's the first step? Verify Spam-Aid Configuration.

    •


Configuring Spam-Aid

In order to run properly, Spam-Aid requires a variety of settings, accessible through the Spam-Aid interface:

Required Settings

  • Windows Address Book file location. Accessed by clicking on the "Settings" menu option.
  • POP3 (Incoming eMail) Server. Accessed by clicking on the account name, underneath the "Settings" menu option.

    • Optional Settings

  • Code Words / Hints. Accessed by clicking on "Code Words", underneath the account's menu option.
  • SMTP (Outgoing eMail) Server Accessed by clicking on the account name, underneath the "Settings" menu option.
  • Message. Accessed by clicking on the "Message" menu option.
  • Run Automatically Option. Accessed by clicking on the "Settings" menu option.
  • EMail Client executable file location. Accessed by clicking on the "Settings" menu option.


Windows Address Book file location

NOTE: Spam-Aid MUST have a valid Windows Address Book file specified. This file is the main basis for message acceptance, and the program will not run without it.

The Windows Address Book is the data file used by Outlook Express. If you use a different eMail application, you can still use Spam-Aid, but only contacts listed in the Windows Address Book will be used for accepting messages.

If you currently use Outlook Express, this file location should have been predetermined when you ran the Spam-Aid Configuration Wizard, and probably will not need to be changed.

The Windows Address Book is read by Spam-Aid immediately prior to processing messages; thus, any contact changes you make are always included in the process.


POP3 (incoming eMail) Server

To access your POP3 eMail messages, the following settings must be given:

  • Account Name: The name of this account, used for display purposes only.
  • POP3 Server: The name of your eMail server, typically something like "mail.versasoft.com".
  • User ID: The account ID used to access eMail.
  • Password: The account password used to access eMail.
  • Save Password: Checking this option will save the value entered in the password field, so that it need not be entered again. If this option is unchecked, the password must be entered each time you run Spam-Aid.

    • In addition, the following settings are available:

  • Active: Setting this to "unchecked" will ignore this account when processing eMail. Useful for multiple accounts when you do not wish to check a certain account at times.
  • Port: This is by default 110, and usually does not need to be changed.
  • Timeout: This is by default 60, and usually does not need to be changed.


Code Words / Hints
  • Explanation

    By default, Spam-Aid deletes any message from senders that are not listed in your Windows Address Book. However, there may be instances when you wish to receive messages from these unknown senders. For example, you would like to hear from a relative, old friend, or customer whose eMail address you don't already have.

    To accept messages from these types of senders, you can specify "code words" that, when included in the subject line of a message, save the message from deletion. Using this technique, senders who know enough about you (your nickname, product, etc) will be able to get a message through; and thus you will only receive messages from those who have a valid interest.

    Obviously, for the code word technique to succeed, senders must use them, which means they must be aware of them. How do these senders know a code word is needed? You could simply tell them personally: "Put my nickname in the subject line." This works fine, unless the person is someone with whom you have had no recent, if any, contact. An old friend or customer may have no idea a code word is needed.

    Fortunately, Spam-Aid has a solution to this problem: "Hints".

    Hints are words or short phrases that let the sender know what sort of code word is needed; for example: "What's my nickname?"

    If you specify hints along with your code words, then any message that is deleted will be emailed a reply containing your hints. Thus the valid senders (the ones in whom you are interested) can reply and get their message accepted.

    Hints, like Code Words, are optional. If you do not want Spam-Aid to send messages, then simply do not specify any hints.

    Perhaps by now you're thinking: "I don't like the idea of sending emails to strangers."

    The fact that you installed this software indicates you already receive alot of spam. If you are nervous about sending replies to these spammers, consider the following facts:

  • Many spammers do not include a valid reply address, because they don't want to read a message from you, they just want you to visit their website and buy something. They will never get your reply.
  • If a spammer DOES include a valid reply address, most (if not all), will not bother to read ANY reply messages. Imagine the flood of angry replies they get regularly - they won't read your message about hints.
  • If a spammer WERE to receive and read your message, remember: your message is merely a REPLY to his advertisement. You are NOT spamming him.

  • Specifying Code Words and Hints

    Click on the "Code Words" menu option found underneath an account menu option. Click the plus (+) button underneath the Code Words or Hints area and type your value.

    Examples of Code Words:
  • Sparky
  • Spam-Aid
  • SpamAid

    • Examples of Hints:
  • What is my nickname?
  • What is our product?

    • Considerations:
  • Lists need not be in any order, and hints do not need to align with their code word. ALL hints will be sent in the reply message. The sender need only include any ONE code word in their subject line.
  • Code words are NOT case sensitive.
  • If your code word is frequently misspelled, you may want to include several variations.


SMTP (outgoing eMail) Server

If you specify Hints, Spam-Aid will send messages via your SMTP server. Thus the following settings must be provided:

  • SMTP Server: The name of your SMTP eMail server, typically something like "smtp.versasoft.com".
  • EMail Address: The eMail address to which replies should be addressed.
  • Server Requires Authentication: Check this if the SMTP server requires a login separate from the POP3 server. See "Use POP3 ID/Password", next:
  • Use POP3 ID/Password: (only applicable if "Server Requires Authentication" is checked) If "checked", login to the SMTP server using the POP3 (incoming) server User ID and password.
  • User ID: (only applicable if "Use POP3 ID/Password" is UNchecked) The account ID used to access outgoing eMail.
  • Password: (only applicable if "Use POP3 ID/Password" is UNchecked). The account password used to access outgoing eMail. You have the option of saving the password, so that it need not be entered again, or not saving it. In the latter case, the password must be entered before running Spam-Aid.
  • Save: (only applicable if "Use POP3 ID/Password" is UNchecked) Checking this option will save the value entered in the password field, so that it need not be entered again. If this option is unchecked, the password must be entered each time you run Spam-Aid.

    • In addition, the following settings are available:

  • Display Name: The "From" name for your message. For example, "Versatech Software".
  • Port: This is by default 25, and usually does not need to be changed.
  • Timeout: This is by default 60, and usually does not need to be changed.


Message

If a Spam-Aid account is configured with code words and hints, then a message will be emailed to senders of any rejected message. You can specify the subject, header, and footer of the message.

Example

Suppose you have the following settings...

Code Words
Spam-Aid
Texas
Hints
Name one of our products.
In what state are we based?
Header: | Your email message was deleted at the server because your email address is not in our list of approved (non-SPAM) senders. To qualify for addition into this list, please reply using a subject line containing a "code word" matching one of these hints:
Footer: | (This message generated automatically by anti-SPAM software)

...then the resulting message will be:

Your email message was deleted at the server because your email address is not in our list of approved (non-SPAM) senders. To qualify for addition into this list, please reply using a subject line containing a "code word" matching one of these hints:

Name one of our products.
In what state are we based?

(This message generated automatically by anti-SPAM software)

NOTE: Italics used here only for emphasis. The message is sent in plain text.


Run Automatically option

Checking this option will cause Spam-Aid to run unattended at preset intervals. This mode will not begin until after the "GO" button is clicked.

Run Automatically Options

  • Every .. minutes: The number of minutes between the start of each process.
  • Load at startup: Checking this will set Spam-Aid to launch itself whenever Windows is started; thus, you need not launch it again after rebooting.
  • New Mail Notification: These two options alert the user upon detection of a valid message:
  • Audio Notification: Plays an audible sound through the computer speakers.
  • Pop-up Message: Displays a message on the screen. From it you can launch your eMail client to check the messages. If unnoticed, the message disappears after one minute.


EMail Client executable location

EMail Client file location

The eMail Client is the application you normally launch to access your eMail messages. If you use Outlook Express, this selection should have been made automatically by the Configuration Wizard.

NOTE: This setting is optional; it is used to facilitate accessing your valid email after Spam-Aid has run automatically. You can alternatively launch your eMail Client via your usual shortcut icon.


Running Spam-Aid

After clicking "GO", what happens next depends on the Run Automatically setting:

  • UN-Checked: Messages are processed immediately.

  • Checked: The interface disappears, and the Spam-Aid icon will appear in the System Tray area (the portion of your taskbar containing the clock). Placing the mouse cursor over the icon will display a message showing Spam-Aid's current status. Right-clicking on the icon will display a menu with several functions:

  • Open: Displays the Spam-Aid interface. The process will not automatically occur when the interface is open. If opened during processing, the process will continue as normal, but will not occur again until interface is closed by clicking "GO".
  • Check EMail Now: Starts the process immediately, regardless of the interval..
  • Launch EMail Client: Launches the specified eMail client, to allow you to check your messages.
  • About: Displays a screen showing version, license type, and a link to Versatech Software's Website.
  • Quit: Closes Spam-Aid, and no further processing will occur, unless the Load at Startup option is selected.
    • Processing eMail Messages

  • Status Area: Several stages are involved in processing eMail messages. These stages will be displayed, as they occur, on the status area of the interface. Of course, if Spam-Aid is running automatically, the status area cannot be seen unless the interface is opened again.

  • Errors: If an error occurs during processing, a message will be displayed in the status area, and (usually) processing will stop.

  • Aborting: If processing stops for any reason (namely an error occurs or the user clicks the "Abort" button) the cause is listed in the status area, and the program reset. The user can try to run again, or, if set to run automatically, the program will run again at the next interval as normal. If the user notices an error message, he should, of course, attempt to remedy the problem. If the process was interrupted during sending of reply messages, any outstanding messages will be sent the next time the program is run (unless the hints for the account(s) are removed).


Additional Considerations

Here are some other Spam-Aid considerations:

  • Before running Spam-Aid for the first time, take a minute to look over the messages you've received over the past several months or so. If any message is valuable to you, make certain the sender is listed as a contact in your address book. You may have newsletter-type messages from senders to whom you've never replied, and so probably don't have them saved as a contact. Alternatively, you could add the standard titles of these newsletters as code words.

  • If you have a permanent internet connection (DSL, ISDN, network, etc), you may want to have Spam-Aid run automatically. This will process your emails invisibly in the background, alerting you only when you have valid messages waiting. If you use this mode, make certain you turn off the "auto-check" option of your eMail Client so that it does not automatically check your messages before Spam-Aid. In Outlook Express, select Tools/Options/General and uncheck the "Check for new messages every.." setting.

  • If you check your eMail only sporatically, always run Spam-Aid before your eMail Client. Otherwise, the spam will not be intercepted by Spam-Aid, and thus will be downloaded.

  • Whenever a message is accepted by way of a code word, you may want to add the sender of that message to your Windows Address Book, so that their messages will no longer require a code word. In Outlook Express, simply right-click the message and select "Add Sender to Address Book"

  • Because Spam-Aid is so strict in it's message acceptance, there are some times you may need to check your eMail without it. For example, if you are expecting an automated reply from an unknown address, such as when performing a "forgotten password" request, you should quit Spam-Aid and check your messages with your normal eMail Client until after the message arrives.

  • After running Spam-Aid and downloading your eMail within your eMail client, it is slightly possible that one or more "unacceptable" messages will exist in your Inbox. There are two main reasons for this:

  • A spam message was sent between the time Spam-Aid accessed your messages and the time your eMail client accessed your messages. If you typically receive large amounts of spam, the time required to download the headers, delete the spam, and eMail replys could take a minute or two (or more). During this time, any spam sent to you will not be detected. Ideally, you should process your eMail frequently enough that no more than 100 spams are ever deleted within one process, thus keeping this unprotected interval to a minimum.

  • One of your reply messages was "bounced back". Spam-Aid includes a "Reply-To" address, but not a "Return-Path" address, in each reply message. Typically, when an eMail server cannot locate an address (because the spammer gave you a fictional one), a message is sent to the Return-Path address, if it is given. Sometimes, however, the server will send one to the Reply-To address, and thus your eMail client may download it. These messages, of course, are harmless and can be deleted.

    •

  • One benefit of any spam-filtering program is protection from spams containing viruses. These emails are sent out disguised as friendly messages, but when their attachment is opened, they execute the virus code. Filtering out these spams insure you never get "infected" with their virus. However, many viruses propagate themselves by email to the contacts found in the address book. Thus, if someone you know who has you in their address book gets one of these viruses, you could receive one of these unwelcome messages. Since it is from a known sender, Spam-Aid will accept it. The moral of the story is: Be suspicious of all emails. If a message subject seems a little unusual for it's sender, then either check with the sender before opening it, or just delete it.

    •